SHADBX Control
SHADBX.VBX Custom Control Version 2.2

Description

The SHADBX Control adds a new technique of providing help to the user. This control allows the developer to provide the user with a dynamic popup help window for advisory information, error reporting, or expansion and elaboration on of a user action.

The SHADBX.VBX custom control closely approximates the actions obtained by Window's help engine. You can now add this feature to VB applications.

File Name

SHADBX.VBX

Remarks

When you create and distribute applications that use the SHADBX control you should install the file SHADBX.VBX in the customer's Microsoft Windows \SYSTEM sub directory. All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line Help for documentation of the remaining properties, events, and methods.

Properties

MessageText

BacKColor

ForeColor

FontBold

FontName

FontSize

CtlName

Index

Left

Top

Tag

Events

NONE

Methods

None, just set the MessageText property to the desired string, and the window with the text appears on-screen. The popup window is removed by a mouse click or any key press action by the user.


Typical Problems

1. Your users may really like the new feature and you may have to add it to all your VB applications. Fortunately it is very easy to use the SHADBX.VBX control.

2. It is important to note that you must explicitly set the BackColor and the ForeColor for each SHADBX.VBX control used in a project. VB does not have defaults for palette aware controls.


MessageText Property, Shadbx Control

Description

Sets the text to be displayed in the popup window.

Usage

[form.]SHADBX.hwndForm[ = setting %]

Data Type

String, maximum of 255 characters.


BackColor Property, SHADBX Control

Description

The background color of the popup window is set by the color palette attached to the control's BackColor property.

The BackColor must be explicitly set to a color, the default is not pre-set when the control is loaded.

Each SHADBX.VBX control in a project may have different BackColor properties set.

Usage

[form.]SHADBX.BackColor[ = setting %]

Settings

The BackColor property is a color palette used to choose the popup window's background color. Select the desired color with the mouse, or type in a unsigned long color value.

Data Type

Unsigned long color value. For SDK users, ForeColor uses the same format as the WINDOWS.H COLORREF parameter.


ForeColor Property, SHADBX Control

Description

The text color of the popup window is set by the color palette attached to the control's ForeColor property.

The ForeColor must be explicitly set to a color, the default is not pre-set when the control is loaded.

Each SHADBX.VBX control in a project may have different ForeColor properties set.

Usage

[form.]SHADBX.ForeColor[ = setting %]

Settings

The ForeColor property is a color palette used to choose the popup window's text color. Select the desired color with the mouse, or type in a unsigned long color (i.e. COLORREF) value.

Data Type

Unsigned long color value. For SDK users, ForeColor uses the same format as the WINDOWS.H COLORREF parameter.


FontBold Property, SHADBX Control

Description

The FontBold property is the bold attribute of the text displayed in the popup SHADBX window. It is set by a standard VB FontBold pick list in the properties window.

The FontBold must be explicitly set to a value, the default is not pre-set when the control is loaded.

Each SHADBX.VBX control in a project may have different FontBold property set. The FontBold property may be dynamically changed at runtime by following the normal VB coding rules for setting this parameter.

Usage

[form.]SHADBX.FontBold [ = setting %]

Settings

The FontBold property is the text font bold attribute selection set by a standard VB FontBold pick list in the properties window

Data Type

The values used correspond to the standard VB FontBold parameters used in the standard VB controls.


FontName Property, SHADBX Control

Description

The FontName property is the font name of the text displayed in the popup SHADBX window. It is set by a standard VB FontName pick list in the properties window.

The FontName must be explicitly set to a FontName , the default is not pre-set when the control is loaded.

Each SHADBX.VBX control in a project may have different FontName properties set. The FontName property may be dynamically changed at runtime by following the normal VB coding rules for setting this parameter.

Usage

[form.]SHADBX.ForeColor[ = setting %]

Settings

The FontName property is a text font name selection set by a standard VB FontName pick list in the properties window

Data Type

The values used correspond to the standard VB FontName parameters used in the standard VB controls.


FontSize Property, SHADBX Control

Description

The FontSize property is the font size of the text displayed in the popup SHADBX window. It is set by a standard VB FontName pick list in the properties window.

The FontSize property must be explicitly set at design time, the default is not pre-set when the control is loaded.

Each SHADBX.VBX control in a project may have different FontSize properties set.  The FontSize property may be dynamically changed at runtime by following the normal VB coding rules for setting this parameter.

Usage

[form.]SHADBX.FontSize[ = setting %]

Settings

The FontSize property is set using the pick list provided in the VB properties window.

Data Type

The values used correspond to the standard VB FontSize parameters used in the standard VB controls.